<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CoglIndexBuffer: Buffers of vertex indices</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="up" href="cogl-buffer-apis.html" title="Allocating GPU Memory">
<link rel="prev" href="cogl-2.0-experimental-CoglAttributeBuffer---Buffers-of-vertex-attributes.html" title="CoglAttributeBuffer: Buffers of vertex attributes">
<link rel="next" href="cogl-buffer-layout-apis.html" title="Describing the layout of GPU Memory">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="cogl-2.0-experimental-CoglAttributeBuffer---Buffers-of-vertex-attributes.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="cogl-buffer-apis.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl 2.0 Reference Manual</th>
<td><a accesskey="n" href="cogl-buffer-layout-apis.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.top_of_page"></a>CoglIndexBuffer: Buffers of vertex indices</span></h2>
<p>CoglIndexBuffer: Buffers of vertex indices — Functions for creating and manipulating vertex
indices.</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis">                    <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer">CoglIndexBuffer</a>;
<a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="returnvalue">CoglIndexBuffer</span></a> *   <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#cogl-index-buffer-new" title="cogl_index_buffer_new ()">cogl_index_buffer_new</a>               (<em class="parameter"><code><a class="link" href="cogl-2.0-experimental-The-Top-Level-Context.html#CoglContext" title="CoglContext"><span class="type">CoglContext</span></a> *context</code></em>,
                                                         <em class="parameter"><code><span class="type">size_t</span> bytes</code></em>);
<a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglBool" title="CoglBool"><span class="returnvalue">CoglBool</span></a>            <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#cogl-is-index-buffer" title="cogl_is_index_buffer ()">cogl_is_index_buffer</a>                (<em class="parameter"><code><span class="type">void</span> *object</code></em>);
</pre>
</div>
<div class="refsect1">
<a name="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.description"></a><h2>Description</h2>
<p>
FIXME
</p>
</div>
<div class="refsect1">
<a name="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.details"></a><h2>Details</h2>
<div class="refsect2">
<a name="CoglIndexBuffer"></a><h3>CoglIndexBuffer</h3>
<pre class="programlisting">typedef struct _CoglIndexBuffer CoglIndexBuffer;</pre>
</div>
<hr>
<div class="refsect2">
<a name="cogl-index-buffer-new"></a><h3>cogl_index_buffer_new ()</h3>
<pre class="programlisting"><a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="returnvalue">CoglIndexBuffer</span></a> *   cogl_index_buffer_new               (<em class="parameter"><code><a class="link" href="cogl-2.0-experimental-The-Top-Level-Context.html#CoglContext" title="CoglContext"><span class="type">CoglContext</span></a> *context</code></em>,
                                                         <em class="parameter"><code><span class="type">size_t</span> bytes</code></em>);</pre>
<p>
Declares a new <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="type">CoglIndexBuffer</span></a> of <em class="parameter"><code>size</code></em> bytes to contain vertex
indices. Once declared, data can be set using
<a class="link" href="cogl-2.0-experimental-CoglBuffer---The-Buffer-Interface.html#cogl-buffer-set-data" title="cogl_buffer_set_data ()"><code class="function">cogl_buffer_set_data()</code></a> or by mapping it into the application's
address space using <a class="link" href="cogl-2.0-experimental-CoglBuffer---The-Buffer-Interface.html#cogl-buffer-map" title="cogl_buffer_map ()"><code class="function">cogl_buffer_map()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>context</code></em> :</span></p></td>
<td>A <a class="link" href="cogl-2.0-experimental-The-Top-Level-Context.html#CoglContext" title="CoglContext"><span class="type">CoglContext</span></a>
</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>bytes</code></em> :</span></p></td>
<td>The number of bytes to allocate for vertex attribute data.</td>
</tr>
<tr>
<td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
<td>A newly allocated <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="type">CoglIndexBuffer</span></a>. <span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span>
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.4</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="cogl-is-index-buffer"></a><h3>cogl_is_index_buffer ()</h3>
<pre class="programlisting"><a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglBool" title="CoglBool"><span class="returnvalue">CoglBool</span></a>            cogl_is_index_buffer                (<em class="parameter"><code><span class="type">void</span> *object</code></em>);</pre>
<p>
Gets whether the given object references a <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="type">CoglIndexBuffer</span></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>object</code></em> :</span></p></td>
<td>A <a class="link" href="cogl-2.0-experimental-The-Object-Interface.html#CoglObject" title="CoglObject"><span class="type">CoglObject</span></a>
</td>
</tr>
<tr>
<td><p><span class="term"><span class="emphasis"><em>Returns</em></span> :</span></p></td>
<td>
<a href="http://library.gnome.org/devel/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <em class="parameter"><code>object</code></em> references a <a class="link" href="cogl-2.0-experimental-CoglIndexBuffer---Buffers-of-vertex-indices.html#CoglIndexBuffer" title="CoglIndexBuffer"><span class="type">CoglIndexBuffer</span></a>,
<a href="http://library.gnome.org/devel/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> otherwise</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.4</p>
<p class="stability">Stability Level: Unstable</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>